Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.message
Class ExceptionMessage

    java.lang.Object
      org.mule.message.BaseMessageDTO
          org.mule.message.ExceptionMessage

All Implemented Interfaces:
  Serializable

    public class ExceptionMessage

extends BaseMessageDTO

`ExceptionMessage` is used by the DefaultServiceExceptionStrategy for wrapping an exception with a message to send via an endpointUri.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mule.message.BaseMessageDTO
`properties`

Constructor Summary
`ExceptionMessage(Object message, Throwable exception, String componentName, EndpointURI endpointUri)` Deprecated. Use ExceptionMessage(Serializable message...) instead
`ExceptionMessage(Serializable message, Throwable exception, String componentName, EndpointURI endpointUri)`

Method Summary
`protected static Serializable` | `getAsSerializable(Object message)`
`String` | `getComponentName()`
`String` | `getEndpoint()`
`Throwable` | `getException()`
`Date` | `getTimeStamp()`
`String` | `toString()`

Methods inherited from class org.mule.message.BaseMessageDTO
`addProperties, clearProperties, getPayload, getProperties, getProperty, setPayload, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExceptionMessage

    public ExceptionMessage(Serializable message,
                            Throwable exception,
                            String componentName,
                            EndpointURI endpointUri)

### ExceptionMessage

    public ExceptionMessage(Object message,
                            Throwable exception,
                            String componentName,
                            EndpointURI endpointUri)

  Deprecated. Use ExceptionMessage(Serializable message...) instead

Method Detail

### getAsSerializable

    protected static Serializable getAsSerializable(Object message)

### getComponentName

    public String getComponentName()

### getEndpoint

    public String getEndpoint()

### getTimeStamp

    public Date getTimeStamp()

### getException

    public Throwable getException()

### toString

    public String toString()

  Overrides:
    `toString` in class `BaseMessageDTO`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.